Share feedback
Answers are generated based on the documentation.

Get a schema

GET/v2/scim/2.0/Schemas/{id}
Returns a schema by ID.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • scimToken

Parameters

id path Required

URN identifying the SCIM schema.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

application/scim+json

Schema: scim_schema

Schema example

{
  "attributes": [],
  "description": "User Account",
  "id": "urn:ietf:params:scim:schemas:core:2.0:User",
  "name": "User",
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Schema"
  ]
}

Response 401

Unauthorized

application/scim+json

All constraints apply

Schema: scim_error

status
All schema constraints and annotations
{
  "example": "401"
}
All schema constraints and annotations
{
  "properties": {
    "status": {
      "example": "401"
    }
  }
}
All schema constraints and annotations
{
  "allOf": [
    {
      "$ref": "#/components/schemas/scim_error"
    },
    {
      "properties": {
        "status": {
          "example": "401"
        }
      }
    }
  ]
}

error

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "status": "401"
}

Response 404

Not Found

application/scim+json

All constraints apply

Schema: scim_error

status
All schema constraints and annotations
{
  "example": "404"
}
All schema constraints and annotations
{
  "properties": {
    "status": {
      "example": "404"
    }
  }
}
All schema constraints and annotations
{
  "allOf": [
    {
      "$ref": "#/components/schemas/scim_error"
    },
    {
      "properties": {
        "status": {
          "example": "404"
        }
      }
    }
  ]
}

error

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "status": "404"
}

Response 500

Internal Error

application/scim+json

All constraints apply

Schema: scim_error

status
All schema constraints and annotations
{
  "example": "500"
}
All schema constraints and annotations
{
  "properties": {
    "status": {
      "example": "500"
    }
  }
}
All schema constraints and annotations
{
  "allOf": [
    {
      "$ref": "#/components/schemas/scim_error"
    },
    {
      "properties": {
        "status": {
          "example": "500"
        }
      }
    }
  ]
}

error

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "status": "500"
}

Referenced schemas

Complete operation contract
{
  "description": "Returns a schema by ID.\n",
  "operationId": "getV2Scim20SchemasById",
  "parameters": [
    {
      "description": "URN identifying the SCIM schema.",
      "example": "urn:ietf:params:scim:schemas:core:2.0:User",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "$ref": "#/components/responses/scim_get_schema_resp"
    },
    "401": {
      "$ref": "#/components/responses/scim_unauthorized"
    },
    "404": {
      "$ref": "#/components/responses/scim_not_found"
    },
    "500": {
      "$ref": "#/components/responses/scim_error"
    }
  },
  "security": [
    {
      "scimToken": []
    }
  ],
  "summary": "Get a schema",
  "tags": [
    "scim"
  ]
}